%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           hippo-canvas
Version:        0.3.0
Release:        18%{?dist}
Summary:        A canvas widget

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://developer.mugshot.org/wiki/Hippo_Canvas
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/hippo-canvas/0.3/hippo-canvas-%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  pango-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libcroco-devel
BuildRequires:  librsvg2-devel
BuildRequires:  perl-Carp

%description
The hippo-canvas library contains a canvas widget developed by the 
Mugshot team for displaying GTK+ UI across multiple platforms.

%package        devel
Summary:        Development files for hippo-canvas
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The hippo-canvas-devel package contains libraries and header files for
developing applications that use hippo-canvas.

%package        python
Summary:        Python module for hippo-canvas
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python-devel
BuildRequires:  pycairo-devel
BuildRequires:  pygtk2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gtk-doc

%description    python 
The hippo-canvas-python package contains a Python interface.

%prep
%setup -q

%build
autoreconf -vif
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc LICENSE README AUTHORS
%{_libdir}/*.so.*

%files devel
%{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/hippo-canvas-1.pc
%{_libdir}/*.so

%files python
%{python_sitearch}/*.so

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.0-13
- Change autoreconf slightly to fix aarch64

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3.0-9
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.0-4
- Rebuild for Python 2.6

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.0-3
- fix license tag

* Sun Jul  6 2008 Owen Taylor <otaylor@redhat.com> - 0.3.0-2
- Update to 0.3.0 (adds SVG support)

* Thu Jun 19 2008 Owen Taylor <otaylor@redhat.com> - 0.2.34-1
- Update to 0.2.34 (Fixes crash when destroying HippoCanvasWidget)

* Tue Jun 17 2008 Owen Taylor <otaylor@redhat.com> - 0.2.33-1
- Update to 0.2.33 (Fixes problem with python bindings missing get_font() method)

* Mon Jun 16 2008 Owen Taylor <otaylor@redhat.com> - 0.2.32-1
- Update to 0.2.32

* Thu Apr 24 2008 Colin Walters <walters@redhat.com> - 0.2.31-1
- Update to 0.2.31

* Mon Mar 31 2008 Colin Walters <walters@redhat.com> - 0.2.30-1
- Update to 0.2.30

* Tue Feb 26 2008 Colin Walters <walters@redhat.com> - 0.2.26-1
- Update to 0.2.26

* Sat Feb  2 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.25-1
- Update to 0.2.25

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.2.24-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 13 2007 Owen Taylor <otaylor@redhat.com> - 0.2.24-1
- Update to 0.2.24

* Wed Jul 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.23-1
- Update to 0.2.23

* Mon Jul  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.22-1
- Update to 0.2.22

* Fri Jul  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.21-1
- Update to 0.2.21

* Wed Jun 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.19-1
- Update to 0.2.19
- Require gtk-doc

* Mon May 14 2007 Colin Walters <walters@redhat.com> - 0.2.17-3
- Hopefully make patch apply

* Fri May 11 2007 Colin Walters <walters@redhat.com> - 0.2.17-2
- Add patch to install python in pyexecdir. 

* Thu May 02 2007 Colin Walters <walters@redhat.com> - 0.2.17-1
- New upstream
- Package pc file
- Add BRs on pycairo-devel, pygtk-devel

* Mon Apr 30 2007 Colin Walters <walters@redhat.com> - 0.2.16-1
- New upstream

* Mon Apr 09 2007 Colin Walters <walters@redhat.com> - 0.2.13-2
- Fully qualify source url

* Tue Apr 03 2007 Colin Walters <walters@redhat.com> - 0.2.13-1
- Tweak for mugshot.org releases

* Tue Oct 03 2006 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-1
- initial package
